Returns if new Issue Pins are allowed
GET
/repos/{owner}/{repo}/new_pin_allowed
const url = 'https://gitea.com/api/v1/repos/example/example/new_pin_allowed';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.com/api/v1/repos/example/example/new_pin_allowed \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
Responses
Section titled “Responses”RepoNewIssuePinsAllowed
Media typeapplication/json
NewIssuePinsAllowed represents an API response that says if new Issue Pins are allowed
object
issues
boolean
pull_requests
boolean
Examplegenerated
{ "issues": true, "pull_requests": true}APINotFound is a not found empty response
Media typeapplication/json